package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.BaseSpaceInfo;

/**
 * 货道信息Service接口
 * 
 * @author Yinq
 * @date 2023-09-20
 */
public interface IBaseSpaceInfoService 
{
    /**
     * 查询货道信息
     * 
     * @param objId 货道信息主键
     * @return 货道信息
     */
    public BaseSpaceInfo selectBaseSpaceInfoByObjId(Long objId);

    /**
     * 查询货道信息列表
     * 
     * @param baseSpaceInfo 货道信息
     * @return 货道信息集合
     */
    public List<BaseSpaceInfo> selectBaseSpaceInfoList(BaseSpaceInfo baseSpaceInfo);

    /**
     * 新增货道信息
     * 
     * @param baseSpaceInfo 货道信息
     * @return 结果
     */
    public int insertBaseSpaceInfo(BaseSpaceInfo baseSpaceInfo);

    /**
     * 修改货道信息
     * 
     * @param baseSpaceInfo 货道信息
     * @return 结果
     */
    public int updateBaseSpaceInfo(BaseSpaceInfo baseSpaceInfo);

    /**
     * 批量删除货道信息
     * 
     * @param objIds 需要删除的货道信息主键集合
     * @return 结果
     */
    public int deleteBaseSpaceInfoByObjIds(Long[] objIds);

    /**
     * 删除货道信息信息
     * 
     * @param objId 货道信息主键
     * @return 结果
     */
    public int deleteBaseSpaceInfoByObjId(Long objId);
}
